Classes | Enumerations

# print.h File Reference

## Classes
class | wxPreviewControlBar
| This is the default implementation of the preview control bar, a panel with buttons and a zoom control. More...
class | wxPreviewCanvas
| A preview canvas is the default canvas used by the print preview system to display the preview. More...
class | wxPreviewFrame
| This class provides the default method of managing the print preview interface. More...
class | wxPrintPreview
| Objects of this class manage the print preview process. More...
class | wxPrinter
| This class represents the Windows or PostScript printer, and is the vehicle through which printing may be launched by an application. More...
class | wxPrintout
| This class encapsulates the functionality of printing out an application document. More...
## Enumerations
enum | wxPreviewFrameModalityKind { wxPreviewFrame_AppModal, wxPreviewFrame_WindowModal, wxPreviewFrame_NonModal }
| Preview frame modality kind. More...

## Enumeration Type Documentation

enum wxPreviewFrameModalityKind

Preview frame modality kind.

The elements of this enum can be used with wxPreviewFrame::Initialize() to indicate how should the preview frame be shown.

Since:
  2.9.2

Enumerator:

  wxPreviewFrame_AppModal | Disable all the other top level windows while the preview frame is shown. This is the default behaviour.
  wxPreviewFrame_WindowModal | Disable only the parent window while the preview frame is shown.
  wxPreviewFrame_NonModal | Show the preview frame non-modally and don't disable any other windows.

|  | [ top ]